Name:		guitone
Version:	0.7.1
Release:	1%{?dist}

Summary:	A frontend for Monotone
Group:		Development/Tools
License:	GPLv2+

URL:		http://guitone.thomaskeller.biz/
Source0:	%{url}releases/%{version}/%{name}-%{version}.tgz

Patch0:		guitone-0.7-qt-svg.patch
Patch1:		guitone-0.7-gcc43.patch

BuildRequires:	qt4-devel
BuildRequires:	desktop-file-utils
Requires:	monotone

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description 
Guitone is a Qt-based, cross-platform graphical user interface for the
distributed version control system monotone. It aims towards a full
implementation of the monotone automation interface and is especially
targeted at beginners. 

Functionality provided by guitone:

* Browse a loaded workspace, filter by file states
* Display attributes of selected files
* Open files in the system's default viewer on double-click
* Show file differences for single and multiple files
* List keys from the loaded database and generate new keys
* Checkout, export and commit revisions
* Query recent revisions from a loaded database

and much more.


%prep
%setup -q
%patch0 -p0 -b .qt-svg
%patch1 -p0 -b .gcc43

cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Guitone
Comment=Frontend for Monotone
Exec=guitone
Icon=guitone
Terminal=false
Type=Application
Categories=Application;Development;
EOF


%build
qmake-qt4 -config release guitone.pro
lrelease-qt4 guitone.pro
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
install -m 755 -D -p bin/guitone %{buildroot}%{_bindir}/guitone
install -m 644 -D -p res/icons/guitone.png %{buildroot}%{_datadir}/pixmaps/guitone.png

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  --vendor="" \
  %{name}.desktop


# the tests subdir currently contains only a stub of a testsuite, and
# upstream told us not to use it yet, so no 'check' section.


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README notes
%{_bindir}/guitone
%{_datadir}/pixmaps/guitone.png
%{_datadir}/applications/guitone.desktop


%changelog
* Sun Apr  6 2008 Thomas Moschny <thomas.moschny@gmx.de> - 0.7.1-1
- Update to upstream version 0.7.1.

* Fri Feb 22 2008 Thomas Moschny <thomas.moschny@gmx.de> - 0.7-4
- Add patch to fix GCC 4.3 build.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7-3
- Autorebuild for GCC 4.3

* Tue Jan 22 2008 Thomas Moschny <thomas.moschny@gmx.de> - 0.7-2
- Small patch: Add Qt SVG module.
- Add note about the testsuite.

* Wed Jan 16 2008 Thomas Moschny <thomas.moschny@gmx.de> - 0.7-1
- Initial version.
